<?php 
require_once("../../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../../includes/academia_constantes.php");
require_once("../../includes/funciones_generales.php");

if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total =0;
	$responce->records = "0";
	echo json_encode($response);
	exit();
}
	
require_once("../../includes/MySQL.php");

$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
$codigo_grupo=$academia->escapar($_POST["cdgr"]);

$fec_ini=$academia->escapar($_POST["fini"]);
$fec_fin=$academia->escapar($_POST["ffin"]);

$consulta="SELECT
	aca_estudiantes.cod_estudiante,
	aca_estudiantes.numedocumento_est,
	LCASE(CONCAT_WS(' ',aca_estudiantes.apellido1_est, aca_estudiantes.apellido2_est, aca_estudiantes.nombre1_est, aca_estudiantes.nombre2_est)) AS nombre,
	(SELECT SUM(aca_inasistencias.num_horas) FROM  aca_inasistencias INNER JOIN aca_estxasigxgrupos ON (aca_inasistencias.cod_estxasigxgrupo = aca_estxasigxgrupos.cod_estxasigxgrupos) WHERE (aca_inasistencias.justificada =0  AND aca_inasistencias.fecha_falta BETWEEN '$fec_ini' AND '$fec_fin' AND  aca_estxasigxgrupos.cod_estudiante= aca_estudiantes.cod_estudiante)) AS just,
	(SELECT SUM(aca_inasistencias.num_horas) FROM  aca_inasistencias INNER JOIN aca_estxasigxgrupos ON (aca_inasistencias.cod_estxasigxgrupo = aca_estxasigxgrupos.cod_estxasigxgrupos) WHERE (aca_inasistencias.justificada =1 AND aca_inasistencias.fecha_falta BETWEEN '$fec_ini' AND '$fec_fin' AND aca_estxasigxgrupos.cod_estudiante=aca_estudiantes.cod_estudiante)) AS injust 	
FROM
	aca_estudiantes
	INNER JOIN aca_estudiantesxgrupos ON aca_estudiantesxgrupos.cod_estudiante = aca_estudiantes.cod_estudiante
WHERE aca_estudiantesxgrupos.cod_grupo=$codigo_grupo and aca_estudiantes.estado_est = 1 order by nombre";
 	
$academia->instruccion($consulta);
$i=0;
$responce = array();
//$responce['sql']=$consulta;
$mayus_nom=$sesion->getVar('configuracion.format_nom');
while($row = $academia->extraer_registro()) {
	$responce['rows'][]=array(
		'cod_estudiante'=>$row['cod_estudiante'],
		'numedocumento_est'=>$row['numedocumento_est'],
		'nombre'=>formatoPalabras($row['nombre'],$mayus_nom),
		'fjus'=>$row['just'],
		'ijus'=>$row['injust'],
	);
} 
header("Content-type: application/json");
echo json_encode($responce);
		
$academia->cerrar();
?>
        